package com.caimei;

import com.alibaba.fastjson.JSONObject;
import com.caimei.utils.ImageUtils;
import com.caimei.utils.OSSUtils;
import org.junit.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.core.io.ClassPathResource;

import javax.imageio.ImageIO;
import java.awt.*;
import java.io.IOException;
import java.io.InputStream;

@SpringBootTest
public class AdminApplicationTests {


    @Test
    public void JWTToken(){
        OSSUtils.deleteSingleFile("5dbb6eb668174438ae5f9b5a1d99f7cf.ppt");
    }

    @Test
    public void  drawImage() throws IOException {
        ClassPathResource classPathResource = new ClassPathResource("/images/pcWaterMark.png");
        InputStream inputStreamImg = classPathResource.getInputStream();
        Image pcWaterMarkImg = ImageIO.read(inputStreamImg);
        classPathResource = new ClassPathResource("/images/appletsWaterMark.png");
        inputStreamImg = classPathResource.getInputStream();
        Image appletsWaterMarkImg = ImageIO.read(inputStreamImg);
        String img = ImageUtils.markImageByIcon(pcWaterMarkImg, "https://img-b.caimei365.com/group1/M00/03/3A/Cmgy62CsZKWALkD8AAUjzdv0-wk753.jpg", null);
        String img1 = ImageUtils.markImageByIcon(appletsWaterMarkImg, "https://img-b.caimei365.com/group1/M00/03/3A/Cmgy62CsZKWALkD8AAUjzdv0-wk753.jpg", null);
        System.out.println(img);
        System.out.println(img1);
    }

    @Test
    public void generateStr(){
        JSONObject jsonObject = JSONObject.parseObject("{\"lng\":\"111\"}");
        Integer lng = jsonObject.getInteger("lng");
        System.out.println(lng);
    }


}
